MS07-059: Vulnerability in Windows SharePoint Could Result in Elevation of Privilege (942017)

Medium Nessus Plugin ID 26965

Synopsis

A user can elevate his privileges through SharePoint.

Description

The remote host is running a version of SharePoint Server 2007 or SharePoint Services 3.0 that is vulnerable to a privilege elevation attack in the SharePoint site.

An attacker may use this to execute scripts in the context of the SharePoint site.

Solution

Microsoft has released a set of patches for SharePoint Services 3.0 and Server 2007.

See Also

https://technet.microsoft.com/library/security/MS07-059

Plugin Details

Severity: Medium

ID: 26965

File Name: smb_nt_ms07-059.nasl

Version: 1.30

Type: local

Agent: windows

Published: 2007/10/09

Modified: 2018/07/27

Dependencies: 57033, 13855

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Temporal Score: 3.4

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:sharepoint_server

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/10/09

Vulnerability Publication Date: 2007/05/04

Reference Information

CVE: CVE-2007-2581

BID: 23832

MSFT: MS07-059

MSKB: 934525

IAVB: 2007-B-0031

EDB-ID: 29951

CWE: 79